Skip to content

Returns visible active Workers linked to active Users, excluding existing target members.

GET
/api/workspace/tasks/configuration/worker-profiles/{profileId}/worker-candidates
curl --request GET \
--url 'https://example.com/api/workspace/tasks/configuration/worker-profiles/example/worker-candidates?page=1&pageSize=25' \
--header 'Authorization: Bearer <token>'
profileId
required
string
search
string
page
integer format: int32
default: 1
pageSize
integer format: int32
default: 25
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
Items
Array<object>
nullable
object
WorkerId
string
nullable
DisplayName
string
nullable
Number
string
nullable
IsAvailable
boolean
ProfileId
string
nullable
ProfileName
string
nullable
ProfileRowVersion
string format: uuid
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
ProfileRowVersion
string format: uuid
DefaultRowVersion
string format: uuid
CanManage
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}